package com.bonus.sgzb.app.service.impl;

import com.bonus.sgzb.app.mapper.BmFlowRelationMapper;
import com.bonus.sgzb.app.service.BmFlowRelationService;
import com.bonus.sgzb.base.api.domain.BmFlowRelation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
/**
* Description:
* @Author 阮世耀
* @Create 2024/3/16 13:03
* @Version 1.0
*/

@Service
public class BmFlowRelationServiceImpl implements BmFlowRelationService{

    @Autowired
    private BmFlowRelationMapper bmFlowRelationMapper;

    @Override
    public int deleteByPrimaryKey(Integer id) {
        return bmFlowRelationMapper.deleteByPrimaryKey(id);
    }

    @Override
    public int insert(BmFlowRelation record) {
        return bmFlowRelationMapper.insert(record);
    }

    @Override
    public int insertOrUpdate(BmFlowRelation record) {
        return bmFlowRelationMapper.insertOrUpdate(record);
    }

    @Override
    public int insertOrUpdateSelective(BmFlowRelation record) {
        return bmFlowRelationMapper.insertOrUpdateSelective(record);
    }

    @Override
    public int insertSelective(BmFlowRelation record) {
        return bmFlowRelationMapper.insertSelective(record);
    }

    @Override
    public BmFlowRelation selectByPrimaryKey(Integer id) {
        return bmFlowRelationMapper.selectByPrimaryKey(id);
    }

    @Override
    public List<BmFlowRelation> selectAllByPrimaryKey(BmFlowRelation record) {
        return bmFlowRelationMapper.selectAllByPrimaryKeys(record);
    }

    @Override
    public int updateByPrimaryKeySelective(BmFlowRelation record) {
        return bmFlowRelationMapper.updateByPrimaryKeySelective(record);
    }

    @Override
    public int updateByPrimaryKey(BmFlowRelation record) {
        return bmFlowRelationMapper.updateByPrimaryKey(record);
    }

    @Override
    public int updateBatch(List<BmFlowRelation> list) {
        return bmFlowRelationMapper.updateBatch(list);
    }

    @Override
    public int updateBatchSelective(List<BmFlowRelation> list) {
        return bmFlowRelationMapper.updateBatchSelective(list);
    }

    @Override
    public int batchInsert(List<BmFlowRelation> list) {
        return bmFlowRelationMapper.batchInsert(list);
    }

}
